Bug 108756 - Update errors on fresh install of RH 9
Summary: Update errors on fresh install of RH 9
Status: CLOSED DUPLICATE of bug 88456
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc   
(Show other bugs)
Version: 9
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-01 02:01 UTC by Homer Parker
Modified: 2016-11-24 14:57 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 18:59:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Homer Parker 2003-11-01 02:01:56 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.2)
Gecko/20030708

Description of problem:
Fresh install of RH 9, download all updates, move kernel* to another
directory, then run rpm -Fvh *.rpm in the directory conataining the
updates results in:
[root@100-lan updates]# rpm -Fvh *.rpm
warning: balsa-2.0.6-2.i386.rpm: V3 DSA signature: NOKEY, key ID db42a60e
Preparing...               
########################################### [100%]
   1:glibc-common          
########################################### [  4%]
   2:glibc                 
########################################### [  7%]
error: %post(glibc-2.3.2-27.9) scriptlet failed, exit status 121
   3:bash                  
########################################### [ 11%]
   4:krb5-libs             
########################################### [ 15%]
   5:perl                  
########################################### [ 19%]
   6:openssl               
########################################### [ 22%]
   7:perl-CGI              
########################################### [ 26%]
   8:mysql                 
########################################### [ 30%]
   9:openssh               
########################################### [ 33%]
  10:gnupg                 
########################################### [ 37%]
  11:krb5-devel            
########################################### [ 41%]
  12:rhpl                  
########################################### [ 44%]
  13:perl-CPAN             
########################################### [ 48%]
  14:glibc-devel           
########################################### [ 52%]
/var/tmp/rpm-tmp.80699: line 2:  1424 Segmentation fault     
/usr/sbin/useradd -M -o -r -d /var/lib/mysql -s /bin/bash -c "MySQL
Server" -u 27 mysql >/dev/null 2>&1
  15:mysql-server          
########################################### [ 56%]
/var/tmp/rpm-tmp.67961: line 2:  1429 Segmentation fault     
/usr/sbin/useradd -c "RPC Service User" -r -s /sbin/nologin -u 29 -d
/var/lib/nfs rpcuser 2>/dev/null
  16:nfs-utils             
########################################### [ 59%]
/var/tmp/rpm-tmp.46358: line 2:  1437 Segmentation fault     
/usr/sbin/useradd -M -o -r -d / -s /sbin/nologin -c "NSCD Daemon" -u
28 nscd >/dev/null 2>&1
  17:nscd                  
########################################### [ 63%]
  18:openssh-clients       
########################################### [ 67%]
/var/tmp/rpm-tmp.88963: line 2:  1441 Segmentation fault     
/usr/sbin/useradd -c "Privilege-separated SSH" -u 74 -s /sbin/nologin
-r -d /var/empty/sshd sshd 2>/dev/null
  19:openssh-server        
########################################### [ 70%]
  20:openssl-devel         
########################################### [ 74%]
  21:pam_smb               
########################################### [ 78%]
  22:perl-DB_File          
########################################### [ 81%]
/var/tmp/rpm-tmp.24600: line 1:  1445 Segmentation fault     
/usr/sbin/useradd -u 47 -d /var/spool/mqueue -r -s /sbin/nologin
mailnull >/dev/null 2>&1
/var/tmp/rpm-tmp.24600: line 2:  1446 Segmentation fault     
/usr/sbin/useradd -u 51 -d /var/spool/mqueue -r -s /sbin/nologin smmsp
>/dev/null 2>&1
  23:sendmail              
########################################### [ 85%]
error: %post(sendmail-8.12.8-9.90) scriptlet failed, exit status 139
/var/tmp/rpm-tmp.33324: line 1:  1465 Segmentation fault     
/usr/sbin/groupadd -g 77 pcap 2>/dev/null
/var/tmp/rpm-tmp.33324: line 3:  1466 Segmentation fault     
/usr/sbin/useradd -u 77 -g 77 -s /sbin/nologin -M -r -d /var/arpwatch
pcap 2>/dev/null
  24:tcpdump               
########################################### [ 89%]
  25:unzip                 
########################################### [ 93%]
  26:up2date               
########################################### [ 96%]
/var/tmp/rpm-tmp.87436: line 9:  1471 Segmentation fault      perl -p
-i -e "s/UNSPECIFIED/$UUID/g" /etc/sysconfig/rhn/up2date-uuid
error: %post(up2date-3.1.23.2-1) scriptlet failed, exit status 139
  27:xinetd                
########################################### [100%]
[root@100-lan updates]# 


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install RH 9
2. Install all updates except kernel*
3.
    

Actual Results:  Afterwards, I did rpm -ivh <failed rpm> --force, the
the ones that failed installed properly.

Expected Results:  It should of updated the system without errors.

Additional info:

Comment 1 Ulrich Drepper 2003-11-04 20:52:06 UTC
What updates?  I bet you have a machine where RHL9 installs the i686
glibc and you force the i386 version on top of it.  This mustn't
happen and would be entirely your fault.  So, which files were involved?

Comment 2 Homer Parker 2003-11-05 08:07:56 UTC
Your right.. I goofed.. I just can't understand how if there's arch
specific updates, the updates not for the arch will install :( I
didn't force anything.. rpm -Fvh is all it took.. Thanks for the help..

Comment 3 Ulrich Drepper 2003-11-05 18:21:37 UTC

*** This bug has been marked as a duplicate of 88456 ***

Comment 4 Red Hat Bugzilla 2006-02-21 18:59:37 UTC
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.


Note You need to log in before you can comment on or make changes to this bug.